function display(icefront)
%DISPLAY - displays the fields of an icefront element
%
%   echo function for 'icefront' class

disp(sprintf('\n%s = \n',inputname(1)));
disp(sprintf('   eid: %i',icefront.eid));
if strcmpi(icefront.type,'segment'),
	disp(sprintf('   g: %i %i',icefront.g(1),icefront.g(2)));
else
	disp(sprintf('   g: %i %i %i %i',icefront.g(1),icefront.g(2),icefront.g(3),icefront.g(4)));
end
disp(sprintf('   rho_water: %g',icefront.rho_water));
disp(sprintf('   type: %s',icefront.type));
